Deployments
List logical deployments
GET
/
api
/
v1
/
deployments
List logical deployments
curl --request GET \
--url http://127.0.0.1:18000/api/v1/deployments \
--header 'Authorization: Bearer <token>'import requests
url = "http://127.0.0.1:18000/api/v1/deployments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://127.0.0.1:18000/api/v1/deployments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "http://127.0.0.1:18000/api/v1/deployments"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"model": "<string>",
"name": "<string>",
"runtime": "<string>",
"active_revision_id": "<string>",
"candidate_revision_id": "<string>",
"id": "<string>",
"max_replicas": 123,
"min_replicas": 123,
"observed_state": "<string>"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"category": "<string>",
"remediation": "<string>",
"request_id": "<string>",
"retryable": true
}
}⌘I
List logical deployments
curl --request GET \
--url http://127.0.0.1:18000/api/v1/deployments \
--header 'Authorization: Bearer <token>'import requests
url = "http://127.0.0.1:18000/api/v1/deployments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://127.0.0.1:18000/api/v1/deployments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "http://127.0.0.1:18000/api/v1/deployments"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"model": "<string>",
"name": "<string>",
"runtime": "<string>",
"active_revision_id": "<string>",
"candidate_revision_id": "<string>",
"id": "<string>",
"max_replicas": 123,
"min_replicas": 123,
"observed_state": "<string>"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"category": "<string>",
"remediation": "<string>",
"request_id": "<string>",
"retryable": true
}
}